Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageReplyInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageReplyInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageReplyInfo extends TdApi.Object
Contains information about replies to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`lastMessageId`
Identifier of the last reply to the message.
`long`
`lastReadInboxMessageId`
Identifier of the last read incoming reply to the message.
`long`
`lastReadOutboxMessageId`
Identifier of the last read outgoing reply to the message.
`TdApi.MessageSender[]`
`recentRepliers`
Recent repliers to the message; available in channels with a discussion supergroup.
`int`
`replyCount`
Number of times the message was directly or indirectly replied.

## Constructor Summary

Constructors
Constructor
Description
`MessageReplyInfo()`
Contains information about replies to a message.
`MessageReplyInfo(int replyCount, TdApi.MessageSender[] recentRepliers, long lastReadInboxMessageId, long lastReadOutboxMessageId, long lastMessageId)`
Contains information about replies to a message.
`MessageReplyInfo(DataInput input)`
Contains information about replies to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### replyCount

public int replyCount
Number of times the message was directly or indirectly replied.

### recentRepliers

public TdApi.MessageSender[] recentRepliers
Recent repliers to the message; available in channels with a discussion supergroup.

### lastReadInboxMessageId

public long lastReadInboxMessageId
Identifier of the last read incoming reply to the message.

### lastReadOutboxMessageId

public long lastReadOutboxMessageId
Identifier of the last read outgoing reply to the message.

### lastMessageId

public long lastMessageId
Identifier of the last reply to the message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageReplyInfo

public MessageReplyInfo()
Contains information about replies to a message.

### MessageReplyInfo

public MessageReplyInfo(int replyCount, TdApi.MessageSender[] recentRepliers, long lastReadInboxMessageId, long lastReadOutboxMessageId, long lastMessageId)
Contains information about replies to a message.

Parameters:
  `replyCount` - int Number of times the message was directly or indirectly replied.
  `recentRepliers` - MessageSender[] Recent repliers to the message; available in channels with a discussion supergroup.
  `lastReadInboxMessageId` - long Identifier of the last read incoming reply to the message.
  `lastReadOutboxMessageId` - long Identifier of the last read outgoing reply to the message.
  `lastMessageId` - long Identifier of the last reply to the message.

### MessageReplyInfo

public MessageReplyInfo(DataInput input) throws IOException
Contains information about replies to a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`